<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2008 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.3.14 - Last modified 6/23/2008
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// No guests!
if (empty ($OekakiU)) {
	report_err($langop_err_edprof);
}


// Admin editing someone else's profile?
$username = w_gpc('username');
if (empty($username)) {
	$username = $OekakiU;
}
if ($username != $OekakiU && $flags['admin']) {
	// Admin edit other profile
	$result = mysql_query ("SELECT * FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE usrname='$username'");
	if ($result) {
		if (mysql_num_rows ($result)) {
			$current_user = mysql_fetch_array ($result);
		} else {
			report_err("Member '{$username}' could not be found.");
		}
	} else {
		// It's serious to have SQL bomb here
		w_log_sql('editprofile:'.__LINE__);
		report_err('Profile not retrievable!  Check the log.');
	}
} else {
	// Edit own profile
	$username = $OekakiU;
	$current_user = $user; // Array
}

// Now we have $current_user.  Don't forget the flags!
$current_flags = parse_flags ($current_user['usrflags'], $current_user['rank']);


// Fix url
if (trim ($current_user['url'] == '')) {
	$current_user['url'] = 'http://';
}


include ('header.php');


?>
<div id="contentmain">
	<form name="form1" method="post" action="functions.php">
		<input name="action" type="hidden" value="editprofile" />

		<!-- Edit Profile-->
		<h1 class="header">
			<?=$langop_eprofile_title?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_realnameopt?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="name" name="name" type="text" value="<?=w_html_chars($current_user['name']);?>" class="txtinput" size="40" onblur="checkName('name');" />

				<p class="subtext">
					<?=$langop_realnam?> 
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_email?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="email" type="text" value="<?=w_html_chars($current_user['email']);?>" class="txtinput" size="40" onblur="MM_validateForm('email','','RisEmail');return document.MM_returnValue" />

				<p class="subtext">
					<?=$langop_msg_regmail;?> 
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_email_show;?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="email_show" class="multiline">
					<option value="1"<? if ($current_user['email_show']=='1') echo ' selected="selected"';?>><?=$langop_word_yes?></option>
					<option value="0"<? if ($current_user['email_show']=='0') echo ' selected="selected"';?>><?=$langop_word_no?></option>
				</select>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_birthday?>:
			</td>
			<td class="infoenter" valign="top">
<?
				$the_date = $current_user['age'];
				$year = ''; $month = ''; $day = '';

				if (strpos ($the_date, '-') !== FALSE) {
					list ($year, $month, $day) = explode ('-', $the_date);
					if ($day == '??') $day = '';
					if ($month == '??') $month = '';
				}
?>
				<?=$langop_abbr_month?>: <select name="age_month" class="multiline">
					<option value="0">---</option>
					<option value="1"<? if ($month == '01') echo ' selected="selected"'; ?>><?=$langop_month_jan?></option>
					<option value="2"<? if ($month == '02') echo ' selected="selected"'; ?>><?=$langop_month_feb?></option>
					<option value="3"<? if ($month == '03') echo ' selected="selected"'; ?>><?=$langop_month_mar?></option>
					<option value="4"<? if ($month == '04') echo ' selected="selected"'; ?>><?=$langop_month_apr?></option>
					<option value="5"<? if ($month == '05') echo ' selected="selected"'; ?>><?=$langop_month_may?></option>
					<option value="6"<? if ($month == '06') echo ' selected="selected"'; ?>><?=$langop_month_jun?></option>
					<option value="7"<? if ($month == '07') echo ' selected="selected"'; ?>><?=$langop_month_jul?></option>
					<option value="8"<? if ($month == '08') echo ' selected="selected"'; ?>><?=$langop_month_aug?></option>
					<option value="9"<? if ($month == '09') echo ' selected="selected"'; ?>><?=$langop_month_sep?></option>
					<option value="10"<? if ($month == '10') echo ' selected="selected"'; ?>><?=$langop_month_oct?></option>
					<option value="11"<? if ($month == '11') echo ' selected="selected"'; ?>><?=$langop_month_nov?></option>
					<option value="12"<? if ($month == '12') echo ' selected="selected"'; ?>><?=$langop_month_dec?></option>
				</select>

				<?=$langop_abbr_day?>: <input name="age_day" type="text" value="<?=$day?>" size="3" class="txtinput" />
				<?=$langop_abbr_year?>: <input name="age_year" type="text" value="<?=$year?>" size="6" class="txtinput" />

				<p class="subtext">
					<?=$langop_bdaysavmg?> 
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_gender?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="gender" id="gender" class="multiline">
					<option><?=$langop_word_na?></option>
					<option value="Male"<? if ($current_user['gender'] == 'Male') echo ' selected="selected"';?>><?=$langop_word_male?></option>
					<option value="Female"<? if ($current_user['gender'] == 'Female') echo ' selected="selected"';?>><?=$langop_word_female?></option>
				</select>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_location?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="location" type="text" value="<?=w_html_chars($current_user['location']);?>" class="txtinput" size="40" />
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_website?> <?=$langop_word_url?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="url" type="text" value="<?=w_html_chars($current_user['url']);?>" class="txtinput" size="40" />

				<p class="subtext">
					<?=$langop_common_http?> 
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_websitetitle?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="urltitle" type="text" value="<?=w_html_chars($current_user['urltitle']);?>" class="txtinput" size="40" />

				<p class="subtext">
					(<?=$langop_editprofmsg2?>)
				</p>
			</td>
			</tr>
			</table>
		</div>
		<br />

<? if ($cfg['use_avatars'] == 'yes') { ?>

		<!-- Avatar -->
		<h1 class="header">
			<?=$langop_word_avatar?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_curavatar?>:<br />
			</td>
			<td class="infoenter" valign="top">
<? if ($current_user['avatar']) { ?>
				<img src="<?= $cfg['avatar_folder'].'/'.$current_user['avatar'];?>" alt="avatar" />
<? } else { ?>
				(<?=$langop_word_none?>)
<? } ?>
				<br />
				<br />
				<input name="avatar" type="button" value="<?=$langop_chgavatar?>" class="submit" onclick="openWindow('edit_avatar.php?username=<?=urlencode($username);?>', 500, 400); return false;" />
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>
			</table>
		</div>
		<br />

<? } ?>

		<!-- Chat Info -->
		<h1 class="header">
			<?=$langop_onlineprese?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_aolinstantmessenger?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="aim" type="text" value="<?=w_html_chars($current_user['aim']);?>" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_icq?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="icq" type="text" value="<?=w_html_chars($current_user['icq']);?>" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_microsoftmessenger?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="msn" type="text" value="<?=w_html_chars($current_user['MSN']);?>" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_yahoomessenger?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="yahoo" type="text" value="<?=w_html_chars($current_user['Yahoo']);?>" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_ircserver?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="ircserver" type="text" value="<?=w_html_chars($current_user['IRCServer']);?>" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_ircnickname?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="ircnick" type="text" value="<?=w_html_chars($current_user['IRCNick']);?>" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				IRC <?=$langop_word_ircchannel?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="ircchan" type="text" class="txtinput" id="ircchan" value="<?=w_html_chars($current_user['IRCchan']);?>" />
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Language -->
		<h1 class="header">
			<?=$langop_eprofile_langset?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_language?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="language2" id="select" class="multiline">
<?

if (empty ($current_user['language'])) {
	$current_user['language'] = $cfg['language'];
}
if ($handle = opendir ('language')) {
	/* This is the correct way to loop over the directory. */
	while (false !== ($file = readdir ($handle))) {
		$name = substr ($file, 0, -4);
		if (substr ($file, -4) == '.php') {
			if ($name == $current_user['language']) {
?>
						<option value="<?=$name;?>" selected="selected"><?=$name;?></option>
<?
			} else {
?>
						<option value="<?=$name;?>"><?=$name;?></option>
<?
			}
		}
	}
	closedir ($handle);
}
?>
				</select>
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_translator?>:
			</td>
			<td class="infoenter" valign="top">
				<?=$langop_translator?> 
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_charset?>:
			</td>
			<td class="infoenter" valign="top">
				<?=$charset?> 
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_comments?>:
			</td>
			<td class="infoenter" valign="top">
				<?=$langop_comments?> 
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Template -->
		<h1 class="header">
			<?=$langop_word_template?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_curtemp?>:
			</td>
			<td class="infoenter" valign="top">
				<?=$template_name; //(From header.php)?> 
			</td>
			</tr>

			<tr><td>&nbsp;</td></tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_curtempd?>:
			</td>
			<td class="infoenter" valign="top">
<?
	// Get template info
	$tcontrol = 'parse';
	include ($template_file.'.php');

	if ($tnotes) {
		echo nifty2_convert($tnotes);
	} else {
		echo '(No details)';
	}
?>

			</td>
			</tr>

			<tr><td>&nbsp;</td></tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_templsel?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="ctemplate" id="ctemplate" class="multiline">
					<option value=""<? if (empty ($current_user['templatesel'])) echo ' selected="selected"';?>>(Default)</option>
<?
if ($handle = opendir ('templates')) {
	/* This is the correct way to loop over the directory. */
	while (false !== ($file = readdir ($handle))) {
		$name = substr ($file, 0, -4);
		if (substr ($file, -4) == '.php') {
			if ($name == $current_user['templatesel']) {
?>
					<option value="<?=$name;?>" selected="selected"><?=$name;?></option>
<?
			} else {
?>
					<option value="<?=$name;?>"><?=$name;?></option>
<?
			}
		}
	}
	closedir($handle);
}
?>
				</select>
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Prefs -->
		<h1 class="header">
			<?=$langop_eprofile_compref?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_comments?>:
				<br />
				(<a href="#" onclick="openWindow('niftyusage.php', 500, 300); return false"><?=$langop_common_niftytoo?></a>)
			</td>
			<td class="infoenter" valign="top">
				<textarea name="comment" cols="40" rows="5" class="multiline"><?=w_html_chars($current_user['comment']);?></textarea>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
<?php
if ($current_user['smilies_show']=='1') {
	if (file_exists('./smilies/smile.gif')) {
		echo ('				<img src="./smilies/smile.gif" alt=":)" />'."\n");
	}
} else {
	if (file_exists('./smilies/sad.gif')) {
		echo ('				<img src="./smilies/sad.gif" alt=":(" />'."\n");
	}
}
?>
				<?=$langop_smilies_show;?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="smilies_show" class="multiline">
					<option value="1"<? if ($current_user['smilies_show']=='1') echo ' selected="selected"';?>><?=$langop_word_yes?></option>
					<option value="0"<? if ($current_user['smilies_show']=='0') echo ' selected="selected"';?>><?=$langop_word_no?></option>
				</select>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_picview?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="picview" id="select2" class="multiline">
					<option value="0"<? if ($current_user['picview']=='0') echo ' selected="selected"';?>>(<?=$langop_word_automatic?>)</option>
					<option value="1"<? if ($current_user['picview']=='1') echo ' selected="selected"';?>><?=$langop_word_horizontal?></option>
					<option value="2"<? if ($current_user['picview']=='2') echo ' selected="selected"';?>><?=$langop_word_vertical?></option>
				</select>

				<p class="subtext">
					<?=$langop_msg_automatic?>
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

<? if ($cfg['force_thumb'] != 'yes') { ?>
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_thumbmode?>:
			</td>
			<td class="infoenter" valign="top">
				<select name="thumbview" class="multiline">
					<option value="0"<? if ($current_user['thumbview']=='0') echo ' selected="selected"';?>>(<?=$langop_word_default?>)</option>
					<option value="1"<? if ($current_user['thumbview']=='1') echo ' selected="selected"';?>><?=$langop_word_layout?></option>
					<option value="2"<? if ($current_user['thumbview']=='2') echo ' selected="selected"';?>><?=$langop_word_scaled?></option>
					<option value="3"<? if ($current_user['thumbview']=='3') echo ' selected="selected"';?>><?=$langop_word_uniformity?></option>
				</select>

				<p class="subtext">
					<?=$langop_msgdefrec?>
				</p>
			</td>
			</tr>
<? } else { ?>
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_thumbmode?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="thumbview" type="hidden" value="0" />
				(<?=$langop_msg_cantchange?>)
			</td>
			</tr>
<? } ?>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_screensize?>
			</td>
			<td class="infoenter" valign="top">
				<select name="screensize" class="multiline">
					<option value="640"<? if ($current_user['screensize']==640) echo ' selected="selected"';?>>640&times;480</option>
					<option value="800"<? if ($current_user['screensize']==800) echo ' selected="selected"';?>>800&times;600</option>
					<option value="1024"<? if ($current_user['screensize']==1024) echo ' selected="selected"';?>>1024&times;768</option>
					<option value="1280"<? if ($current_user['screensize']==1280) echo ' selected="selected"';?>>1280&times;1024 (<?=$langop_orhigher?>)</option>
				</select>

				<p class="subtext">
					<?=$langop_screensizemsg?> 
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_adult?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="adult" type="checkbox" value="X"<? if ($current_flags['X']) echo ' checked="checked"';?> /><?=$langop_word_enable?>

				<p class="subtext">
					<?=$langop_eprofile_adultsub?> (<?=MIN_AGE_ADULT.'+';?>)
				</p>
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Change Pass -->
		<h1 class="header">
			<?=$langop_eprofile_chngpass?> (<?=$langop_eprofile_chngpasssub?>)
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_oldpass?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="oldpass" type="password" class="txtinput" id="oldpass" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_chngpass_newpwd?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="passwd" name="passwd" type="password" class="txtinput" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_eprofile_repass?>:</td>
			<td class="infoenter" valign="top">
				<input id="passwdnew" name="passwdnew" type="password" class="txtinput" onblur="checkPass('passwd', 'passwdnew');" />

				<p class="subtext">
					<?=$langop_eprofile_pdisc?> 
				</p>
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Submit -->
		<h1 class="header">
			<?=$langop_submitchange?> 
		</h1>

		<div class="infotable">
			<p style="text-align: center;">
				<input name="username2" type="hidden" value="<?= w_html_chars($username); ?>" />

				<input name="eprofile" type="submit" class="submit" onclick="MM_validateForm('email','','RisEmail'); return document.MM_returnValue" value="<?=$langop_word_edit?>" />
			</p>
		</div>
	</form>
</div>


<? include ('footer.php'); ?>